# SolarEco custom component for Home Assistant

Welcome to the documentation for SolarEco custom component, a Home Assistant Custom Components that allows you to monitor and control your MPPT regulator of SolarEco.

## What is Home Assistant?

[Home Assistant](https://www.home-assistant.io/) is an open-source platform for smart home automation. It acts as the central hub for connecting and controlling various devices, making it easy to create a smart and interconnected home.

## Getting Started with Home Assistant

### Installation

To get started with Home Assistant, follow these general steps:

1. **Install Home Assistant:** Refer to the [official installation guide](https://www.home-assistant.io/installation/) for instructions on how to install Home Assistant on your preferred device.

2. **Access the User Interface:** Once installed, access the Home Assistant user interface by navigating to the provided IP address or hostname in your web browser.

3. **Configure Custom Component:** Connect Home Assistant to your devices and services by configuring Custom Component. This is where SolarEco custom component comes into play.

## SolarEco custom component

### Overview

Custom SolarEco component written in Python3 for Home Assistant. Monitors SolarEco MPPT regulator

### Supported Sensors

- **Voltage:** Monitors the voltage of SolarEco MPPT regulator.
- **Current:** Measures the current flowing through SolarEco MPPT regulator.
- **Power:** Calculates the power consumption of SolarEco MPPT regulator.
- **Temperature of Cooler:** Reports the Cooler temperature of SolarEco MPPT regulator.
- **Temperature of Boiler:** Reports the Boiler temperature of SolarEco MPPT regulator.
- **Energy of Day:** Monitors the day of energy of SolarEco MPPT regulator.
- **Relay:** Monitor the relay state of SolarEco MPPT regulator.
- **Pulse witdh:** Monitor the pulse width of SolarEco MPPT regulator.
- **Fan:** Monitor the fan state of SolarEco MPPT regulator.

### Installation
- create a new directory named `solareco` under `/config/custom_components` on your home assistant server
- copy `manifest.json`, `sensor.py` `__init__.py`, `strings.json` and `translations folder` to `/config/custom_components/solareco`
- restart your home assistant
- Add the following lines to your `/config/configuration.yaml`:
```yaml
sensor:
  - platform: solareco
    host: 192.168.xx.xxx # solareco IP
    port: 23      # solareco port
    poll_interval_seconds: 5 # how often should the integration query data form solareco
```
- restart your home assistant

### Create a card with entities on your Home Assistant dashboard.
1. **Navigate to the "Overview" Tab:**

    - On the left sidebar, find and click on the "Overview" tab. This is where you can create and manage your dashboard views.
2. **Enter "Edit Mode":**

    - In the top right corner of the screen, click on the three dots (ellipsis) and select "Edit Dashboard."
3. **Create a New Card:**

    - In the desired dashboard view, click on the "+" icon to add a new card.
4. **Select Card Type:**

    - Choose the type of card you want to create. In our case, select "Entities."
5. **Configure Entities Card:**

    - Give your card a title (optional) and configure the entities you want to display.
    - Click on "Add Entity" to select entities from your Home Assistant setup.
6. **Choose Entities:**

    - Browse or search for the entities you want to include in the card.
    - Click on each entity to add it to the card. For example `sensor.solareco_voltage` etc.
7. **Save and Exit Edit Mode:**

    - Click "Save" to save your changes to the dashboard.
    - Exit "Edit Mode" by clicking on the "X" icon or by selecting "DONE"

### How to access /config directory in Home Assistant
1. **Navigate to the "Supervisor" Tab:**

    - On the left sidebar, find and click on the "Supervisor" tab. It's an icon that looks like a house with a shield.
2. **Go to "File Editor":**

    - Inside the Supervisor tab, locate and click on "File Editor."
    - [Install File Editor if not found](https://www.home-assistant.io/common-tasks/supervised/#installing-and-using-the-file-editor-add-on/)
3. **Navigate to the Configuration Directory:**

    - In the File Editor, you should see a list of folders and files.
    - Look for the "config" folder. Click on it to open.
4. **Explore the Configuration Directory:**

    - Once inside the "config" directory, you will find various folders and configuration files related to your Home Assistant setup.
    - This is the main directory where you manage your Home Assistant configuration.
5. **Locate the "custom_components" Directory:**

    - Inside the "config" directory, check if there is a folder named "custom_components." This is where custom components are typically placed.
6. **Create "custom_components" Directory (if not found):**

    - If you do not see the "custom_components" directory, you need to create it.
    - Click the "+" icon or use the "New Folder" option to create a new folder named "custom_components."
